distribution.delivery.get
curl --request GET \
--url 'https://api.musixmatch.com/ws/1.1/distribution.delivery.get?apikey='import requests
url = "https://api.musixmatch.com/ws/1.1/distribution.delivery.get?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.musixmatch.com/ws/1.1/distribution.delivery.get?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"header": {
"status_code": 200,
"execute_time": 0.32
},
"body": {
"delivery": {
"delivery_id": 123456,
"status": "success",
"tracks": [
{
"isrc": "USIR20300001",
"track_title": "Track One",
"album_title": "My Album",
"album_upc": "123456789012",
"release_date": "2025-10-15",
"status": "success",
"commontrack_id": 123456
},
{
"isrc": "USIR20300002",
"track_title": "Track Two",
"album_title": "My Album",
"album_upc": "123456789012",
"release_date": "2025-10-15",
"status": "success",
"commontrack_id": 100002
}
]
}
}
}
}Deliveries
distribution.delivery.get
Returns the current processing status of a delivery and the per-track import status. Poll this endpoint after calling POST /ws/1.1/distribution.delivery.post to track progress. commontrack_id is only present on tracks whose status is success.
GET
/
ws
/
1.1
/
distribution.delivery.get
distribution.delivery.get
Authorizations
Query Parameters
The delivery identifier returned by POST /ws/1.1/distribution.delivery.post
The Musixmatch user ID obtained via token introspection
Response
Current delivery status.
Show child attributes
Show child attributes
Was this page helpful?